Last Comment Bug 690151 - Bump Chatzilla compatibility for SeaMonkey 2.7 / Firefox 10.0
: Bump Chatzilla compatibility for SeaMonkey 2.7 / Firefox 10.0
Status: VERIFIED FIXED
[qa!]
: verified-aurora, verified-beta
Product: Other Applications
Classification: Client Software
Component: ChatZilla (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla10
Assigned To: Ian Neal
:
Mentors:
Depends on:
Blocks: 702154
  Show dependency treegraph
 
Reported: 2011-09-28 16:17 PDT by Ian Neal
Modified: 2012-03-16 07:24 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed
fixed


Attachments
Chatzilla bump version [Checked in: Comment 3] (2.38 KB, patch)
2011-09-28 16:17 PDT, Ian Neal
bugzilla-mozilla-20000923: review+
Details | Diff | Review

Description Ian Neal 2011-09-28 16:17:29 PDT
Created attachment 563228 [details] [diff] [review]
Chatzilla bump version [Checked in: Comment 3]

With the latest merge the compatibility for SeaMonkey should be changed to 2.7.* and for Firefox to 10.0.*
Comment 1 Justin Wood (:Callek) 2011-09-28 16:20:20 PDT
ftr, I just updated seamonkey-only compat for this [and all our own] extensions on AMO.
Comment 2 James Ross 2011-09-29 00:05:17 PDT
Comment on attachment 563228 [details] [diff] [review]
Chatzilla bump version [Checked in: Comment 3]

Can I just give you guys a blanket r+ on version bumping to stop you filing these bugs every few months? :)
Comment 3 Ian Neal 2011-09-29 05:51:58 PDT
Comment on attachment 563228 [details] [diff] [review]
Chatzilla bump version [Checked in: Comment 3]

http://hg.mozilla.org/chatzilla/rev/2167b379b64d
Comment 4 Mihaela Velimiroviciu (:mihaelav) 2011-11-23 06:36:26 PST
Mozilla/5.0 (Windows NT 6.1; rv:10.0a2) Gecko/20111122 Firefox/10.0a2
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:10.0a2) Gecko/20111121 Firefox/10.0a2
Mozilla/5.0 (Windows NT 5.1; rv:10.0a2) Gecko/20111121 Firefox/10.0a2
Mozilla/5.0 (X11; Linux x86_64; rv:10.0a2) Gecko/20111121 Firefox/10.0a2
Mozilla/5.0 (Windows NT 6.1; rv:10.0a2) Gecko/20111119 Firefox/10.0a2 SeaMonkey/2.7a2
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:10.0a2) Gecko/20111122 Firefox/10.0a2 SeaMonkey/2.7a2

Tried to install Chatzilla from https://addons.mozilla.org/en-US/firefox/addon/chatzilla/ but it IS NOT compatible with Aurora - Firefox 10 and some Seamonkey 2.7 builds (Win 7 and OS X 10.7).

Chatzilla IS compatible with SeaMonkey 2.7 for Ubuntu 11.10 and Win XP and Firefox 9 (Beta) builds:
Mozilla/5.0 (Windows NT 5.1; rv:10.0a2) Gecko/20111119 Firefox/10.0a2 SeaMonkey/2.7a2
Mozilla/5.0 (X11; Linux i686 on x86_64; rv:10.0a2) Gecko/20111122 Firefox/10.0a2 SeaMonkey/2.7a2 

Mozilla/5.0 (Windows NT 6.1; rv:9.0) Gecko/20100101 Firefox/9.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:9.0) Gecko/20100101 Firefox/9.0
Mozilla/5.0 (Windows NT 5.1; rv:9.0) Gecko/20100101 Firefox/9.0
Mozilla/5.0 (X11; Linux x86_64; rv:9.0) Gecko/20100101 Firefox/9.0

Can this bug be reopened?

Thank you!
Comment 5 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-11-23 16:27:47 PST
Sorry Mihaela, but I find your last comment to be quite confusing. Please post compatibility with the following:

Firefox 10.0a2 latest on Windows XP
Seamonkey 2.7a2 latest on Windows XP
Firefox 9.0b3 on Windows XP
Seamonkey 2.6b1 on Windows XP
Comment 6 Mihaela Velimiroviciu (:mihaelav) 2011-11-24 07:27:41 PST
https://addons.mozilla.org/en-US/firefox/addon/chatzilla/?src=ss

Chatzilla is NOT available for Firefox 10.0a2 and Seamonkey 2.7a2 and 2.6b1:
Mozilla/5.0 (Windows NT 5.1; rv:10.0a2) Gecko/20111123 Firefox/10.0a2
Mozilla/5.0 (Windows NT 5.1; rv:10.0a2) Gecko/20111122 Firefox/10.0a2 SeaMonkey/2.7a2
Mozilla/5.0 (Windows NT 5.1; rv:9.0) Gecko/20111119 Firefox/9.0 SeaMonkey/2.6

Chatzilla IS available for Firefox 9b3:
Mozilla/5.0 (Windows NT 5.1; rv:9.0) Gecko/20100101 Firefox/9.0
Comment 7 James Ross 2011-11-24 10:25:07 PST
The compatibility listed on https://addons.mozilla.org/en-US/firefox/addon/chatzilla/ is indenepdent of that in the repository, and it is the latter that was needing updating in this instance. The public release is typically only compatible uo to the latest stable or beta. If you want a nightly build of ChatZilla, which is generally more compatible with trunk and alpha, you can get it from http://james-ross.co.uk/mozilla/chatzilla/nightly/.
Comment 8 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-11-24 10:43:53 PST
I guess what is not clear here, James, is what version of Chatzilla is this bug about? Is it about the AMO hosted version of the Nightly version?
Comment 9 James Ross 2011-11-24 10:48:29 PST
I thought it was pretty obviously about the code (i.e. nightly). If it's about the AMO compatibility with anything other than SeaMonkey (which is a special case because of the way the Extension Manager checks compatibility, unfortunately), it's a WONTFIX too. :P
Comment 10 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-11-24 11:47:40 PST
Thanks for the clarification James. Mihaela, please verify with the nightly version of Chatzilla, as per comment 7.
Comment 11 Mihaela Velimiroviciu (:mihaelav) 2011-11-25 07:56:44 PST
Mozilla/5.0 (Windows NT 6.1; rv:10.0a2) Gecko/20111122 Firefox/10.0a2
Mozilla/5.0 (Windows NT 6.1; rv:11.0a1) Gecko/20111123 Firefox/11.0a1
Mozilla/5.0 (Windows NT 6.1; rv:10.0a2) Gecko/20111119 Firefox/10.0a2 SeaMonkey/2.7a2

Mozilla/5.0 (Windows NT 5.1; rv:10.0a2) Gecko/20111124 Firefox/10.0a2
Mozilla/5.0 (Windows NT 5.1; rv:11.0a1) Gecko/20111125 Firefox/11.0a1
Mozilla/5.0 (Windows NT 5.1; rv:10.0a2) Gecko/20111122 Firefox/10.0a2 SeaMonkey/2.7a2

Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:10.0a2) Gecko/20111121 Firefox/10.0a2
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:11.0a1) Gecko/20111121 Firefox/11.0a1
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:10.0a2) Gecko/20111125 Firefox/10.0a2 SeaMonkey/2.7a2

Chatzilla 0.9.87 nightly is compatible with Firefox 10(Aurora), Firefox 11(Nightly) and Seamonkey 2.7 (Aurora).
Comment 12 Mihaela Velimiroviciu (:mihaelav) 2011-11-28 00:26:01 PST
Mozilla/5.0 (X11; Linux x86_64; rv:10.0a2) Gecko/20111121 Firefox/10.0a2
Mozilla/5.0 (X11; Linux x86_64; rv:11.0a1) Gecko/20111124 Firefox/11.0a1
Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.18) Gecko/20110412 SeaMonkey/2.0.13

Verified compatibility with Ubuntu 11.04, as well: Chatzilla 0.9.87 nightly is compatible with Firefox 10(Aurora), Firefox 11(Nightly) and Seamonkey 2.7 (Aurora).

Note You need to log in before you can comment on or make changes to this bug.